diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index bbe42de..ac3e509 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -56569,11 +56569,10 @@ MappingPackage2(A:SetCategory, C:SetCategory): MPcat == MPdef where
         fac:  A -> C
         faac: (A,A)->C
  
-        const c     == arg2(#1, c)
-        curry(fac, a)  == fac a
-        constant f0c      == arg2(#1, f0c())
- 
-        diag  faac  == faac(#1, #1)
+        const c       == (a1:A):C +-> arg2(a1, c)
+        curry(fac, a) == fac a
+        constant f0c  == (a1:A):C +-> arg2(a1, f0c())
+        diag  faac    == (a1:A):C +-> faac(a1, a1)
 
 @
 <<MAPPKG2.dotabb>>=
diff --git a/changelog b/changelog
index f4e85bd..5c96725 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090606 tpd src/axiom-website/patches.html 20090607.02.tpd.patch
+20090606 tpd books/bookvol10.4 MAPPKG2 +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090607.01.tpd.patch
 20090606 tpd books/bookvol10.4 MAPPGK1 +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090606.07.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4fbf032..9c71f66 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1479,5 +1479,7 @@ bookvol10.4 MKBCFUNC +-> conversion<br/>
 bookvol10.4 MKUCFUNC +-> conversion<br/>
 <a href="patches/20090607.01.tpd.patch">20090607.01.tpd.patch</a>
 bookvol10.4 MAPPGK1 +-> conversion<br/>
+<a href="patches/20090607.02.tpd.patch">20090607.02.tpd.patch</a>
+bookvol10.4 MAPPGK2 +-> conversion<br/>
  </body>
 </html>
